# scevtls — SeisComP Release documentation

6.9.0

# scevtls

List event IDs from database.

## Description

scevtls lists the event IDs of all events available in a database or SCML file within a given time span. The list may be filtered by event type. The IDs are printed to stdout.

Similarly, use scorgls for listing all origin IDs. In extension to scevtls and scorgls, scquery can search for parameters based on complex custom queries.

## Examples

- Print all event IDs for the complete year 2012:

      scevtls -d mysql://sysop:sysop@localhost/seiscomp \
              --begin "2012-01-01 00:00:00" \
              --end "2013-01-01 00:00:00"

- Print all event IDs with event type quarry blast:

      scevtls -d mysql://sysop:sysop@localhost/seiscomp \
              --event-type "quarry blast"

- Print the IDs of all events provided with the XML file:

      scevtls -i events.xml

- Print all event IDs along with the ID of the preferred origin:

      scevtls -d localhost -p

## Module Configuration

`etc/defaults/global.cfg`
`etc/defaults/scevtls.cfg`
`etc/global.cfg`
`etc/scevtls.cfg`
`~/.seiscomp/global.cfg`
`~/.seiscomp/scevtls.cfg`

scevtls inherits global options.

## Command-Line Options

scevtls [options]

### Generic

-h, --help

  Show help message.

-V, --version

  Show version information.

--config-file arg

  Use alternative configuration file. When this option is used the loading of all stages is disabled. Only the given configuration file is parsed and used. To use another name for the configuration create a symbolic link of the application or copy it. Example: scautopick -> scautopick2.

### Verbosity

--verbosity arg

  Verbosity level [0..4]. 0:quiet, 1:error, 2:warning, 3:info, 4:debug.

-v, --v

  Increase verbosity level (may be repeated, eg. -vv).

-q, --quiet

  Quiet mode: no logging output.

--component arg

  Limit the logging to a certain component. This option can be given more than once.

-s, --syslog

  Use syslog logging backend. The output usually goes to /var/lib/messages.

-l, --lockfile arg

  Path to lock file.

--console arg

  Send log output to stdout.

--debug

  Execute in debug mode. Equivalent to --verbosity=4 --console=1 .

--log-file arg

  Use alternative log file.

### Database

--db-driver-list

  List all supported database drivers.

-d, --database arg

  The database connection string, format: service://user:pwd@host/database. "service" is the name of the database driver which can be queried with "--db-driver-list".

--config-module arg

  The config module to use.

--inventory-db arg

  Load the inventory from the given database or file, format: [service://]location .

--db-disable

  Do not use the database at all

### Input

-i, --input arg

  Name of input XML file. Read from stdin if ‘-’ is given. Deactivates reading events from database.

### Events

--begin time

  Specify the lower bound of the time interval. Format: 2012-01-01T00:00:00.

--end time

  Specify the upper bound of the time interval. Format: 2012-01-01T00:00:00.

--hours arg

  Start searching given hours before now. If set, --begin and --end are ignored.

--modified-after time

  Print IDs of events modified after the specified time.

--event-type arg

  The event type for filtering events. Use quotes for types with more than one word. Example: "mining explosion".

### Output

-D, --delimiter string

  Specify the delimiter of the resulting event IDs.

-p, --preferred-origin

  Print the ID of the preferred origin along with the event ID.